---
title: Animation.startTime
slug: Web/API/Animation/startTime
tags:
  - API
  - Animation
  - Interface
  - Property
  - Reference
  - Web Animations
  - startTime
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</p>

<p>The <code><strong>Animation.startTime</strong></code> property of the {{domxref("Animation")}} interface is a double-precision floating-point value which indicates the scheduled time when an animation's playback should begin. </p>

<p>An animation’s <strong>start time</strong> is the time value of its {{domxref("timeline", "DocumentTimeline")}} when its target {{domxref("KeyframeEffect")}} is scheduled to begin playback. An animation’s <strong>start time</strong> is initially unresolved (meaning that it's <code>null</code> because it has no value).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>animationStartedWhen</em> = <em>Animation</em>.startTime;

<em>Animation</em>.startTime = <em>newStartTime</em>;</pre>

<h3 id="Value">Value</h3>

<p>A floating-point number representing the current time in milliseconds, or <code>null</code> if no time is set. You can read this value to determine what the start time is currently set at, and you can change this value to make the animation start at a different time.</p>

<h2 id="Examples">Examples</h2>

<p>In the <a href="http://codepen.io/rachelnabors/pen/zxYexJ?editors=0010">Running on Web Animations API example</a>, the we can sync all new animated cats by giving them all the same <code>startTime</code> as the original running cat:</p>

<pre class="brush: js">var catRunning = document.getElementById ("withWAAPI").animate(keyframes, timing);

/* A function that makes new cats. */
function addCat(){
  var newCat = document.createElement("div");
  newCat.classList.add("cat");
  return newCat;
}

/* This is the function that adds a cat to the WAAPI column */
function animateNewCatWithWAAPI() {
  // make a new cat
  var newCat = addCat();

  // animate said cat with the WAAPI's "animate" function
  var newAnimationPlayer = newCat.animate(keyframes, timing);

  // set the animation's start time to be the same as the original .cat#withWAAPI
  newAnimationPlayer.startTime = catRunning.startTime;<em><strong>
</strong></em>
  // Add the cat to the pile.
  WAAPICats.appendChild(newCat);
}
</pre>

<h2 id="Reduced_time_precision">Reduced time precision</h2>

<p>To offer protection against timing attacks and fingerprinting, the precision of <code>animation.startTime</code> might get rounded depending on browser settings.<br>
 In Firefox, the <code>privacy.reduceTimerPrecision</code>  preference is enabled by default and defaults to 20us in Firefox 59; in 60 it will be 2ms.</p>

<pre class="brush: js">// reduced time precision (2ms) in Firefox 60
animation.startTime;
// 23.404
// 24.192
// 25.514
// ...

// reduced time precision with `privacy.resistFingerprinting` enabled
animation.startTime;
// 49.8
// 50.6
// 51.7
// ...
</pre>

<p>In Firefox, you can also enabled <code>privacy.resistFingerprinting</code>, the precision will be 100ms or the value of <code>privacy.resistFingerprinting.reduceTimerPrecision.microseconds</code>, whichever is larger.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-starttime', 'Animation.startTime' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.startTime")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}}</li>
 <li>{{domxref("Animation.currentTime")}} for the current time of the animation.</li>
</ul>
